Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.collections
Class PermutationImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.collections.PermutationImpl

public class PermutationImpl
extends BaseImpl
implements Collection, CollectionS, Create, CreateS, Array, ArrayS, PermutationS, Permutation

A class that represents a permutation of elements of a collection. Permutation is used to generate a permutation of elements of a a collection and store them in an array for fast access. Permutation only mirrors the original collection. Updates of contents of Permutation will not reflect on the original collection.

Constructor Summary
`PermutationImpl()`
`PermutationImpl(Zone aZone)` The create: message creates a new instance of a type with default options.
`PermutationImpl(Zone aZone, int count)`

Methods implemented by this class for interface swarm.collections.Collection
`allSameClass, begin, beginPermuted, contains, copy, deleteAll, getCount, getReplaceOnly, remove, removeAll`

Methods implemented by this class for interface swarm.collections.ArrayS
`setCount`

Methods implemented by this class for interface swarm.defobj.Copy
`copy`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.collections.Offsets
`atOffset, atOffset$put, getFirst, getLast`

Methods implemented by this class for interface swarm.collections.ForEach
`describeForEach, describeForEachID, forEach, forEach, forEach, forEach`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods implemented by this class for interface swarm.collections.DefaultMember
`getDefaultMember`

Methods implemented by this class for interface swarm.collections.DefaultMemberS
`setDefaultMember`

Methods implemented by this class for interface swarm.defobj.Serialization
`hdf5OutDeep, hdf5OutShallow, lispOutDeep, lispOutShallow, lispOutVars$deep, lispSaveStream$Boolean$Value, lispSaveStream$Char$Value, lispSaveStream$Double$Value, lispSaveStream$Float$Value, lispSaveStream$Integer$Value, lispSaveStream$Long$Value, lispSaveStream$LongLong$Value, lispSaveStream$Short$Value, lispSaveStream$Unsigned$Value, lispSaveStream$UnsignedLong$Value, lispSaveStream$UnsignedLongLong$Value, lispSaveStream$UnsignedShort$Value, updateArchiver`

Methods implemented by this class for interface swarm.defobj.SerializationS
`hdf5In, lispIn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PermutationImpl

    public PermutationImpl()

### PermutationImpl

    public PermutationImpl(Zone aZone,
                           int count)

### PermutationImpl

    public PermutationImpl(Zone aZone)

  The create: message creates a new instance of a type with default options. The zone argument specifies the source of storage for the new object. The receiving object of this message is a previously defined type object. The message is declared as a class message (with a + declaration tag) to indicate that the message is accepted only by the type object itself rather than an already created instance of the type (which a - declaration tag otherwise defines). The create: message returns the new object just created. This object is an instance of some class selected to implement the type. The class which a type selects to implement an object may be obtained by the getClass message, but is not otherwise visible to the calling program. A caller never refers to any class name when creating objects using these messages, only to type names, which are automatically published as global constants from any @protocol declaration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD